Bug 22021 - Item status not shown accurately on request.pl
Summary: Item status not shown accurately on request.pl
Status: Pushed to stable
Alias: None
Product: Koha
Classification: Unclassified
Component: Hold requests (show other bugs)
Version: master
Hardware: All All
: P5 - low minor (vote)
Assignee: Katrin Fischer
QA Contact: Nick Clemens
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-12-18 16:52 UTC by Christopher Brannon
Modified: 2019-08-13 20:25 UTC (History)
7 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
19.11.00,19.05.03


Attachments
Bug 22021: Improve item status display when placing holds in staff (8.68 KB, patch)
2019-07-13 12:28 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 22021: Improve item status display when placing holds in staff (8.74 KB, patch)
2019-07-15 16:05 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 22021: Improve item status display when placing holds in staff (8.80 KB, patch)
2019-07-19 11:01 UTC, Nick Clemens
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Christopher Brannon 2018-12-18 16:52:19 UTC
Damaged and Lost statuses are showing the generic category of Lost or Damaged instead of the specific status.  We've been fixing this issue in other places.  This page should also be corrected.
Comment 1 Katrin Fischer 2019-02-10 11:27:15 UTC
Still valid. More so: if damaged and lost, only damaged shows.
Comment 2 Jonathan Druart 2019-06-23 00:18:45 UTC
(In reply to Katrin Fischer from comment #1)
> Still valid. More so: if damaged and lost, only damaged shows.

I do not understand, I see that in the template:

436                 [% IF ( itemloo.damaged ) %]
437                     <br />Damaged
438                 [% END %]

I guess we want to displayed the description for the AV DAMAGED. Lost description as well? One above the other?
Comment 3 Christopher Brannon 2019-06-24 14:43:17 UTC
The category isn't needed as much as the description of the authorized value in that category.
Comment 4 Katrin Fischer 2019-07-13 12:28:10 UTC
Created attachment 91519 [details] [review]
Bug 22021: Improve item status display when placing holds in staff

This patch is a bit of a clean-up to bring the item status display
more in line with the display on the detail page:

- show descrpition of authorised value for not for loan instead of hardcoded text
- Show description of authorised value for lost instead of hardcoded text
  This is also a translatability fix, as the text came from the .pl
- Show description of authorised value damaged instead of hardcoded text
- Make sequence of status match display on details page:
  lost - damaged - not for loan

To test:
- On a record with multiple items
  - Add different status to the items
    damaged, lost, not for loan
  - Make sure you have items with one status and multiple status at the same time
- Look at how the status display on the detail page
- Place a hold, compare display
- Apply patch
- Repeat
Comment 5 Owen Leonard 2019-07-15 16:05:49 UTC
Created attachment 91536 [details] [review]
Bug 22021: Improve item status display when placing holds in staff

This patch is a bit of a clean-up to bring the item status display
more in line with the display on the detail page:

- show descrpition of authorised value for not for loan instead of hardcoded text
- Show description of authorised value for lost instead of hardcoded text
  This is also a translatability fix, as the text came from the .pl
- Show description of authorised value damaged instead of hardcoded text
- Make sequence of status match display on details page:
  lost - damaged - not for loan

To test:
- On a record with multiple items
  - Add different status to the items
    damaged, lost, not for loan
  - Make sure you have items with one status and multiple status at the same time
- Look at how the status display on the detail page
- Place a hold, compare display
- Apply patch
- Repeat

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Comment 6 Nick Clemens 2019-07-19 11:01:03 UTC
Created attachment 91631 [details] [review]
Bug 22021: Improve item status display when placing holds in staff

This patch is a bit of a clean-up to bring the item status display
more in line with the display on the detail page:

- show descrpition of authorised value for not for loan instead of hardcoded text
- Show description of authorised value for lost instead of hardcoded text
  This is also a translatability fix, as the text came from the .pl
- Show description of authorised value damaged instead of hardcoded text
- Make sequence of status match display on details page:
  lost - damaged - not for loan

To test:
- On a record with multiple items
  - Add different status to the items
    damaged, lost, not for loan
  - Make sure you have items with one status and multiple status at the same time
- Look at how the status display on the detail page
- Place a hold, compare display
- Apply patch
- Repeat

Signed-off-by: Owen Leonard <oleonard@myacpl.org>

Signed-off-by: Nick Clemens <nick@bywatersolutions.com>
Comment 7 Martin Renvoize 2019-07-19 12:56:51 UTC
Nice work!

Pushed to master for 19.11.00
Comment 8 Fridolin SOMERS 2019-08-06 14:40:26 UTC
Pushed to 19.05.x for 19.05.03
Comment 9 Lucas Gass 2019-08-13 20:25:11 UTC
backported to 18.11.x for 18.11.09